﻿@model IEnumerable< SSCMvc.Models.MaTime_View >
@{
    ViewBag.Title = "GetReprtbyTime";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts
{
    <script>
        $(document).ready(function () {
            $.getJSON("/Reports/updateColumn", { va: false },
  function (modelData) {
  });
        })
    </script>

    <script>
        var va;
        // this is for to check all the check box on the click of parent check box
        $('#sample_1 .group-checkable').change(function () {

            var set = jQuery(this).attr("data-set");
            var checked = jQuery(this).is(":checked");
            $(set).each(function () {
                if (checked) {
                    $(this).attr("checked", true);
                    va = true;
                    tick(va);

                } else {
                    // alert(2);
                    $(this).attr("checked", false);
                    va = false;
                    tick(va);
                }
            });
            jQuery.uniform.update(set);
        });

        function tick(vaa) {
            //alert(va);
            $.getJSON("/Reports/updateColumn", { va: vaa },
  function (modelData) {
  });
           
        }

    </script>
 
    <script>
        //this function is used for to insert true or false value in the database
        function updatestatus(a, idval) {

            if ($(a).is(':checked')) {
                $("#wait").show();
                $.getJSON("/Reports/UpdateReportStatus", { id: idval, hdnStatus: "true" },
function (modelData) {
    var value = modelData;
    $("#wait").hide();
}); 
            }

            else {
                $("#wait").show();
                $.getJSON("/Reports/UpdateReportStatus", { id: idval, hdnStatus: "false" },
function (modelData) {
    var value = modelData;
    $("#wait").hide();
});
               
            }
        }
    </script>
    <script>
        $("#btnShowReport").click(function () {
           
            var a = document.createElement('a');
            a.href = '/Reports/GroupTiming?&timecode=All&format=PDF';
            a.target = '_blank';
            document.body.appendChild(a);
            a.click();
        });

        $("#btnShowReport1").click(function () {

            var a = document.createElement('a');
            a.href = '/Reports/GroupTiming?&timecode=All&format=PDF';
            a.target = '_blank';
            document.body.appendChild(a);
            a.click();
        });
    </script>
    }

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Get Report By Time
        </h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
  
 
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="well">

                <img id="wait" style="display:none" src="~/Content/themes/base/images/lightbox-ico-loading.gif" />
                <form action="/Reports/GroupTimingByStudent" method="post">
                    <table class="table" id="sample_1">
                        <thead>
                            <tr>
                                <th width="15%">
                                    <input type="checkbox" class="group-checkable" id="chk_all" value="1" data-set="#sample_1 .checkboxes" />
                                    <label class="control-label" for="firstName">(Tick Check-Box For Print)</label>
                                    <input type="hidden" name="hdnStatus" />
                                </th>
                                <th>
                                    Time
                                    <input type="submit" value="Show Report" class="btn btn-primary pull-right" id="btnShowReporttt" />
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                            @{int i = 0;

                                string bgcolor = "oddrow";
                            }
                            @foreach (var item in Model)
                            {
                                if (i % 2 == 0)
                                {
                                    bgcolor = "evenrow";
                                }
                                else
                                {
                                    bgcolor = "oddrow";
                                }
                                i++;
                                <tr class="@bgcolor">
                                    <td>
                                        @*<input type="checkbox" class="checkboxes" id="Status"  onchange="updatestatus(this,@item.Id)" />*@
                                        <input type="checkbox" class="checkboxes" id="Status" name="stts" value="@item.Id" />
                                    </td>

                                    <td>
                                        @item.BatchTime
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </form>
                @*<div class="col-md-12">
                    <input type="button" value="Show Report" class="btn btn-primary pull-left" id="btnShowReport1" />
                </div>*@
                <div class="col-md-12">
                    &nbsp;
                </div>
            </div>
          
            </div>
    </div>
                                      